doxygen (1.9.8+ds-2.1ubuntu0.1) questing-security; urgency=medium

  * Remove polyfill as cdn (lp: #2154796) 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Fri, 12 Jun 2026 10:25:02 +0530

doxygen (1.9.8+ds-2.1build1) plucky; urgency=medium

  * No-change rebuild for LLVM 20.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 22:01:37 +0100

doxygen (1.9.8+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: Drop Build-Depends on faketime (Closes: #1085562)
  * d/patches/faketime_pdflatex.diff: Drop patch
  * d/patches/series: remove dropped patch from series
  * d/rules: Set FORCE_SOURCE_DATE=1 when executing the docs make target
    This tells pdflatex not to ignore SOURCE_DATE_EPOCH, so that the
    correct date is used without using faketime.
  * d/rules: Update the clean target (Closes: #1044301)
  * d/rules: Correct build target interdependencies
    Building architecture dependent only (dpkg-buildpackage -B) was
    failing with the current combination of dpkg/debhelper/make in
    unstable due to wrong interdependencies.
  * d/rules: Drop redundant -N flags when using build profile
    Selecting the profile (dpkg-buildpackage -Pstage1) is sufficient
    to disable the creation of packages marked Build-Profiles: <!stage1>
    in d/control, using -N flags in d/rules in addition is redundant.
  * d/qmake, d/tmake, d/doxygen-doc.files; unused, removed

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Feb 2025 10:54:50 +0100

doxygen (1.9.8+ds-2) unstable; urgency=medium

  * Incorporate upstream fix for linking doxyparse to spdlog

  [ Samuel Thibault ]
  * Move mat2 build-dep to build-dep-indep (Closes: #1055533)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 07 Dec 2023 13:21:02 +0100

doxygen (1.9.8+ds-1) unstable; urgency=medium

  * New upstream version. Closes: #389492, #1040864.
  * Enable sqlite3 and add required build-dep
  * Use system spdlog
  * Add required libfmt-dev build dep

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 03 Sep 2023 18:27:51 +0200

doxygen (1.9.4-4) unstable; urgency=medium

  [ Helge Deller ]
  * Enable large file support (Closes: #1017504)

  [ Samuel Thibault ]
  * Fix build on GNU/Hurd (Closes: #1020918)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop dependency on essential package dpkg-dev (>= 1.17.14).
    + Build-Depends: Drop versioned constraint on bison (>= 1.875a).
    + Build-Depends: Drop versioned constraint on libxapian-dev (>= 1.2.21-1.2).
    + doxygen-doc: Drop conflict with removed package doxygen (<< 1.2.14) in
      Replaces.
    + doxygen-gui: Drop conflict with removed package doxygen (<< 1.2.14) in
      Replaces.

  [ Andrea Pappacoda ]
  * d/control: provide dh-sequence-doxygen (Closes: #799543)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Wed, 11 Jan 2023 15:18:43 +0100

doxygen (1.9.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for typo in generated Makefile for LaTeX.
    (Closes: #1015864)

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Oct 2022 15:23:30 +0300

doxygen (1.9.4-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch from LLVM/Clang 13 to the default Debian one (currently 14).
    (Closes: #1017665)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 06 Sep 2022 09:47:22 +0200

doxygen (1.9.4-2) unstable; urgency=medium

  [ Pino Toscano <pino@debian.org> ]
  * Drop the deprecated Debian menu file

  [ Paolo Greppi <paolo.greppi@libpf.com> ]
  * Temporary patch to fix compilation with gcc-12.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 24 Jul 2022 13:02:27 +0200

doxygen (1.9.4-1) unstable; urgency=medium

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Paolo Greppi <paolo.greppi@libpf.com> ]
  * New upstream version. Closes: #1013636, #983059, #882037 and #482986.
  * Update copyright and dependencies
  * Upgrade to llvm-toolchain-13. Closes: #1000932.
  * Refresh descriptions and fix lintian I: duplicate-short-description
  * Update standards version to 4.6.1, no changes needed.
  * Remove obsolete Conflicts clause

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 24 Jul 2022 09:14:42 +0200

doxygen (1.9.1-2) unstable; urgency=medium

  * Build with LLVM support on riscv64. Closes: #985587.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 22 Mar 2021 00:04:01 +0100

doxygen (1.9.1-1) unstable; urgency=medium

  * Bump standards version to 4.5.1: No changes needed.
  * doxygen 1.9.1 release.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 08 Jan 2021 19:35:32 +0100

doxygen (1.9.0-1~exp1) experimental; urgency=medium

  * doxygen 1.9.0 release.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 27 Dec 2020 23:05:24 +0100

doxygen (1.8.20-6) unstable; urgency=medium

  * Fix pdflatex invocation. Closes: #976405 and #976495.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sat, 12 Dec 2020 11:58:38 +0100

doxygen (1.8.20-5) unstable; urgency=medium

  * Fix issue with markdown anchors. Closes: #973734.
  * Fix links using @ref. Closes: #970431.
  * Work around texlive-latex-base bug #976405.
  * Build using LLVM 11.0. Closes: #974807.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 04 Dec 2020 20:05:00 +0100

doxygen (1.8.20-4) unstable; urgency=medium

  * Team upload (salsa.d.o namepsace)
  * debian/patches/02b8dea10813606db4a013799a3e354368d0280f.patch:
    - cherry-pick upstream fix for another crash during parse with CLANG
      helper enabled (See: https://github.com/doxygen/doxygen/issues/8066)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Oct 2020 12:32:00 +0200

doxygen (1.8.20-3) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * debian/patches/d067baf495d0415283ce724ad32cb9a08dc17c83.patch:
    - cherry-pick upstream fix for crash during parse with CLANG helper
      (Closes: #969141)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Oct 2020 23:23:51 +0200

doxygen (1.8.20-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Fix wxpython4.0 FTBFS due to doxygen regression

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 22 Sep 2020 17:44:26 +0200

doxygen (1.8.20-1) unstable; urgency=medium

  * Upload to unstable. Closes: #969142.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 13 Sep 2020 18:21:49 +0200

doxygen (1.8.20-1~exp1) experimental; urgency=medium

  * doxygen 1.8.20 release. Closes: #969313.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 31 Aug 2020 10:27:21 +0200

doxygen (1.8.19-1) unstable; urgency=medium

  * Upload to unstable. Closes: #967950, #968340.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 31 Aug 2020 09:36:22 +0200

doxygen (1.8.19-1~exp1) experimental; urgency=medium

  [ Pino Toscano ]
  * Remove the git build dependency, no more needed since doxygen 1.8.17.

  [ Paolo Greppi ]
  * doxygen 1.8.19 release.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 20 Aug 2020 21:49:38 +0200

doxygen (1.8.18-1) unstable; urgency=medium

  * Upload to unstable.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sat, 25 Jul 2020 06:47:33 +0200

doxygen (1.8.18-1~exp1) experimental; urgency=medium

  * doxygen 1.8.18 release.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 22 May 2020 09:32:34 +0200

doxygen (1.8.17-1) unstable; urgency=medium

  * Upload to unstable.
  * Make examples reproducible by stripping metadata from pdf files.
  * Dropping unused Build-Depends on yui-compressor also allows to bootstrap
    doxygen without needing Java. Closes: #879695.
  * Make the GNU_BUILD_ID reproducible

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 30 Apr 2020 19:36:59 +0200

doxygen (1.8.17-1~exp2) experimental; urgency=medium

  * Fix sass compilation error. Closes: #954677.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 07 Apr 2020 12:02:12 +0200

doxygen (1.8.17-1~exp1) experimental; urgency=medium

  [ Samuel Thibault ]
  * Drop unused build dependency. Closes: #947897.

  [ Paolo Greppi ]
  * doxygen 1.8.17 release.
  * Bump standards version to 4.5.0: No changes needed.
  * Make doxygen_manual.pdf build reproducibly with cmake.
  * Make the changelog reproducible.
  * Make the manpages reproducible when the timezone changes.
  * Import upstream patch to use eps2eps rather than ps2epsi.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sat, 01 Feb 2020 18:32:03 +0100

doxygen (1.8.16-2) unstable; urgency=medium

  * Build-depend on qtbase5-dev version that fixes 947117.
  * Import upstream patch for ghostscript 9.50 invocation. Closes: #947121.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 22 Dec 2019 10:17:19 +0100

doxygen (1.8.16-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.
  * Build using LLVM 9.0.
  * Build-depend on texlive-plain-generic instead of obsolete texlive-
    generic-recommended.

  [ Paolo Greppi ]
  * Make the output of $year reproducible. Closes: #942671.
  * Fix a regression whereby if the Doxyfile has a blank FILE_PATTERNS then
    no files are processed.
  * Disable patch to conditionally skip copying jquery. Closes: #943890.
  * Fix lintian W: doxygen source: tab-in-license-text debian/copyright.
  * Upload to unstable.

  [ Norbert Lange ]
  * Improve d/rules to pick llvm version from d/control. Closes: #945427.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 10 Dec 2019 23:48:20 +0100

doxygen (1.8.16-1~exp3) experimental; urgency=medium

  [ Joenio Costa ]
  * new package (doxygen-doxyparse)

  [ Paolo Greppi ]
  * Inject atomic lib through cmake to fix armel build
  * Make latex's \year macro and doxygen_manual.pdf reproducible
  * SHOW_NAMESPACES = NO breaks latex PDF fixed in 1.8.16. Closes: #929143

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 15 Sep 2019 07:32:11 +0200

doxygen (1.8.16-1~exp2) experimental; urgency=medium

  * Set DEB_LDFLAGS_MAINT_APPEND early to fix armel build

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 13 Aug 2019 23:02:08 +0200

doxygen (1.8.16-1~exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Move VCS fields to salsa.d.o/debian namespace
  * Switch build to llvm-8. Closes: #923047
  * Strip archs where llvm-8 is not available from build
  * Bump compat level to 12

  [ Paolo Greppi ]
  * Remove longtabu patch; thanks to tabu patch in texlive-latex-extra closes:
    #920982, #921273, #921293 and #921297
  * doxygen 1.8.16 release.
  * License is now plain GPL-2

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 13 Aug 2019 19:17:43 +0200

doxygen (1.8.15-1~exp1) experimental; urgency=medium

  [ Paolo Greppi ]
  * doxygen 1.8.15 release. Closes: #920447.
  * Do not produce "Directory Reference" man pages. Closes: #742871.
  * Bump debhelper compat.
  * New maintainer. Closes: #888580.
  * Update homepage.
  * Fix lintian W binary-without-manpagefix.
  * Fix lintian P file-contains-trailing-whitespace.
  * Move repo to salsa.
  * Bump standard version
  * Disable LLVM support on alpha. Closes: #916532.
  * Switch to llvm-toolchain-7. Closes: #912799.
  * Make the output of $year reproducible. Closes: #863054

  [ Andreas Tille ]
  * Fix watch file

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 19 Feb 2019 15:20:25 +0000

doxygen (1.8.13-10) unstable; urgency=medium

  * Orphan the package. See: #888580.
  * Build using LLVM 6.0.
  * Drop build dependency on ruby-compass. Closes: #875505.
  * Stop building the doxygen-dbg package.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 09:22:14 +0100

doxygen (1.8.13-9) unstable; urgency=medium

  * Build using LLVM 5.0.
  * Build using LLVM on armel again.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Aug 2017 13:36:41 +0200

doxygen (1.8.13-8) unstable; urgency=medium

  * Build using LLVM 4.0.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jul 2017 18:31:33 +0200

doxygen (1.8.13-7) unstable; urgency=medium

  * Don't build using llvm on armel for now.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2017 21:20:50 +0200

doxygen (1.8.13-6) unstable; urgency=medium

  * Replace latex-xcolor with texlive-latex-recommended in Depends. The
    previous upload only removed it from Build-Depends.
    Really Closes: #865232.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 20 Jun 2017 16:57:58 +0200

doxygen (1.8.13-5) unstable; urgency=medium

  * Drop latex-xcolor dependency. Adresses: #865232.
  * Remove myself from uploaders: No longer using doxygen.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 20 Jun 2017 06:39:44 +0200

doxygen (1.8.13-4) unstable; urgency=medium

  * Fix segfault generating XML. Issue #776791. Closes: #849991.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jan 2017 10:44:49 +0100

doxygen (1.8.13-3) unstable; urgency=medium

  * Build-depend on zlib1g-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2017 06:00:43 +0100

doxygen (1.8.13-2) unstable; urgency=medium

  * Build using clang on armel, mips64el, sparc64.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2017 04:38:29 +0100

doxygen (1.8.13-1) experimental; urgency=medium

  * doxygen 1.8.13 release.
  * Use json-c instead of the osmium source for the autopkg test.
  * Configure with build_search again. Closes: #822204.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Dec 2016 05:26:43 +0100

doxygen (1.8.12-1) unstable; urgency=medium

  * doxygen 1.8.12 release.
  * Stop using llvm/clang on armel and kfreebsd-*.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Sep 2016 18:22:12 +0200

doxygen (1.8.11-3) unstable; urgency=medium

  * Applied upstream commit 9a2c7bbfb0c53b4532db7280e6804c7ce76d70a3:
    Use UTC timezone when displaying QDateTimes parsed from SOURCE_DATE_EPOCH
    Closes: #792201

 -- Matthias Klose <doko@debian.org>  Fri, 24 Jun 2016 15:57:26 +0200

doxygen (1.8.11-2) unstable; urgency=medium

  * Fix python version number extraction for python release candidate builds.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jun 2016 08:44:59 +0200

doxygen (1.8.11-1) unstable; urgency=medium

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2016 17:53:44 +0100

doxygen (1.8.11-1~exp2) experimental; urgency=medium

  * Revert an upstream change which lets to file names with whitespace,
    exceeding 256 characters.
    See https://bugzilla.gnome.org/show_bug.cgi?id=759241.
  * Fix build with unreleased python versions.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Jan 2016 14:43:43 +0100

doxygen (1.8.11-1~exp1) experimental; urgency=medium

  * doxygen 1.8.11 release.
  * Build using cmake, Qt5.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2016 20:13:39 +0100

doxygen (1.8.9.1-6) unstable; urgency=medium

  * Only depend on unversioned libclang. (Closes: #803646)
  * Add build profile annotations to Build-Depends. (Closes: #738263)
  * Build doc/language.doc from source. (Closes: #794758)
  * Clean more generated files. Fix twice-FTBFS. (Closes: #794745)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 01 Dec 2015 00:00:54 +0100

doxygen (1.8.9.1-5) unstable; urgency=medium

  * Don't configure --with-sqlite3, still experimental according to upstream.
    Closes: #758975.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 22:01:28 +0200

doxygen (1.8.9.1-4) unstable; urgency=high

  * Rebuild for GCC 5 / xapian-core.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 09:58:38 +0200

doxygen (1.8.9.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Disable HTML timestamps in Doxygen's own documentation.
    (no-timestamps.diff).
  * Default to not generating HTML timestamps: Upstream commit
    3f2e8a3067712b025623e4420e6eb161febfd42b default-no-timestamps.diff.
    (Closes: #780617)

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 29 Apr 2015 17:14:31 +0200

doxygen (1.8.9.1-2) experimental; urgency=medium

  * Removed \backmatter in case of COMPACT_LATEX. Issue #742427.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Mar 2015 20:17:33 +0100

doxygen (1.8.9.1-1) experimental; urgency=medium

  * doxygen 1.8.9.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2015 20:38:08 +0100

doxygen (1.8.8-5) unstable; urgency=medium

  * Cherry pick c83db38ea83499be19d9ff242bfa22ae534ee80c. (Closes: #762272)
  * Fix FTBFS: Update syntax of Build-Profiles header. (Closes: #767658)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 02 Nov 2014 15:07:52 +0100

doxygen (1.8.8-4) unstable; urgency=medium

  * Cherry pick 6d4044ad43ae1424a256eb1c26992301e7c64f4a. (Closes: #760700)
  * Declare compliance with policy 3.9.6: No changes needed.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 05 Oct 2014 17:52:01 +0200

doxygen (1.8.8-3) unstable; urgency=medium

  * Fix sqlite3 configuration.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 23:32:13 +0200

doxygen (1.8.8-2) unstable; urgency=medium

  * Build-depend on libxapian-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 22:37:17 +0200

doxygen (1.8.8-1) unstable; urgency=medium

  * doxygen 1.8.8 release.
  * Build-depend on python3.
  * Build using libclang where available.
  * Really enable sqlite support.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 20:22:21 +0200

doxygen (1.8.7-3) unstable; urgency=medium

  * doxygen-latex: Depend on cm-super-minimal.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jul 2014 10:33:14 +0200

doxygen (1.8.7-2) unstable; urgency=medium

  * Reorder latex packages to avoid bogus syntax check. Thanks to Mattias
    Ellert for tracking down the issue and providing a patch. (Closes:
    #750536).
  * Indent debian/doxygen.NEWS for valid formatting.
  * Bump copyright years.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 04 Jun 2014 16:18:45 +0200

doxygen (1.8.7-1) unstable; urgency=medium

  * doxygen 1.8.7 release.
    + Standard build regenerates *_js.h now. Update README.jquery.
    + Add doxygen.NEWS for GENERATE_HTML default change.
    + Refresh patches. dot-config.diff completely rewritten against
      config.xml.
  * Uglify javascript during build. Therefore B-D: yui-compressor.
  * Also remove winbuild to avoid accidentally using it.
  * Add half a stage1 build-profile to drop libqt4-dev. Not annotating the
    dependency because #744246. Thanks to Daniel Schepler and Wookey.
    (Addresses: #738263)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 16 May 2014 20:58:26 +0200

doxygen (1.8.6-2) unstable; urgency=medium

  * Fix autopkgtest.
    + Missing dependency on dpkg-dev for apt-get source.
    + apt-get source prints to stderr.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 Jan 2014 19:31:58 +0100

doxygen (1.8.6-1) unstable; urgency=low

  * doxygen 1.8.6 release.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2014 00:58:54 +0100

doxygen (1.8.5-1) unstable; urgency=low

  * doxygen 1.8.5 release.
    + Refresh patches. dot-config.diff had a failed hunk.
    + README got renamed to README.md.
  * Add debug package doxygen-dbg.
  * Demote recommends doxygen-latex from doxygen to suggests. (Closes:
    #720493)
  * LDFLAGS are called QMAKE_LFLAGS_RELEASE (not ...LDFLAGS...),
    this should fix the build log checks and hardening.
  * Install upstream changelog. (Closes: #569504)
  * Shrink doxygen-doc binary package using hardlinks (rdfind).
    + Add lintian-override for package-contains-hardlink
  * Rewrite debian/copyright in DEP5 syntax.
  * Bump standards version to 3.9.5: No changes needed.
  * Explain that jquery embedding is going to stay in README.jquery.
    (Closes: #630982)
  * Add an autopkgtest building the documentation of osmium.
    It managed to crash Doxygen earlier, see #657917.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 10 Nov 2013 17:32:18 +0100

doxygen (1.8.4-1) unstable; urgency=low

  * doxygen 1.8.4 release
    + Upstream now ships jquery sources. (Closes: #625956)
    + Add libsqlite3-dev to Build-Depends.
    + Refresh patches. All hunks succeeded.
    + Upstream changelog included in source package for #569504.
  * Acknowledge upload version 1.8.1.2-2.
    + Added myself as uploader.
  * Enable doxygen-gui on hurd. (Closes: #700631)
  * Clean before build, to ensure that no prebuilt files are used.
  * Use packaged tmake.
    + Add tmake Build-Depends, patch configure to use packaged tmake.
    + Add a tmake wrapper that forces our CFLAGS into tmake. This fixes
      the tmake part of #596636.
  * Add a qmake wrapper that forces our... you know the story. (Closes:
    #596636)
  * Bump standards version to 3.9.4: No changes needed.
  * Add an initial dh_doxygen helper that cleans generated documentation for
    inclusion in binary packages. This is a small aspect of #630982.
  * Added Homepage to control.
  * Removed duplicate dependency latex-xcolor from doxygen-latex.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 21 May 2013 16:04:41 +0200

doxygen (1.8.3.1-1) experimental; urgency=low

  * doxygen 1.8.3.1 release.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2013 17:18:39 +0100

doxygen (1.8.2-1) experimental; urgency=low

  * doxygen 1.8.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Aug 2012 18:03:15 +0200

doxygen (1.8.1.2-1) unstable; urgency=low

  * doxygen 1.8.1.2 (bug fix) release.
    - Changes:
      + doxygen now strips the leading indentation shared by the lines in a
        @code..@endcode block.
      + id 678218: Changed title of the SVG graphs from 'G' to the root node
        of the graph.
    - New features:
      + Added button in the navigation tree to allow enabling/disabling
        syncing the navigation tree with the content.
      + Extended the number of HTML entities with Greek letters and other
        symbols (thanks to Charles Karney for the patch).
      + id 663645: Added support for C++11 strongly typed enums
        (enum class E { ... }).
    - Bug fixes:
      + id 590518: Added missing class member initialization to a class
        in doxmlparser and made the library compile again.
      + id 667678: Added support for Obj-C property attribute "unsafe_retained".
      + id 674842,676984: Unmatched quote in a comment prevented alias
        expansion.
      + id 676019: Fixed another case where local include path did not appear
        correctly in the class documentation.
      + id 676966: Fortran: Some keyword were not colored in the source view.
      + id 676981: Fortran: Argument type was wrong type of in case of
        out of place !> comment.
      + id 677935: Included patch to fix problem compiling for x86 release
        on Windows.
      + id 677992: Section without title could result in an invalid
        Qt Help index.
      + id 678022: Anonymous enum could result in an invalid Qt Help index.
      + id 678102: Superfluous trailing comma in javascript prevented
        navigation tree to load in IE7.
      + id 678177: a + at the start of a line inside a <pre> block, triggered
        the start of a list. Also -- and --- where not kept untouched inside
        a <pre> block.
      + id 678180: ndash (--) appearing in a brief description could lead to
        invalid SVG images.
      + id 678288: -- and --- inside a Markdown code block were not handled
        properly.
      + id 679331,675766: In body documentation with a different indentation
        then the main documentation was not rendered correctly (MARKDOWN=YES).
      + id 679436: Using an escaped pipe symbol in a Markdown table did not
        get unescaped in the output.
      + id 679533: Code fragments did not appear properly in the doxygen manual.
      + id 679615: Added missing delete call in a piece of debugging code.
      + id 679626: Fixed some navigation issues in the manual
      + Not all inherited members appeared in the "Additional inherited members"
        list.
      + Link to call after "Inherited members" was not correct when
        CREATE_SUBDIRS was enabled.
      + New VHDL diagram was not generated if the path contained spaces.
      + Fixed a couple of problems handling Objective-C categories.
  * Fix segfault building the leechcraft docs (Thibaut Paumard).
    Closes: #676423.
  * Make doxygen Multi-Arch: foreign. Closes: #658984.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jul 2012 23:41:38 +0200

doxygen (1.8.1.1-1) unstable; urgency=low

  * doxygen 1.8.1.1 (bug fix) release.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jun 2012 23:59:02 +0200

doxygen (1.8.1-1) unstable; urgency=low

  * doxygen 1.8.1 release.
  * Build-depend on latex-xcolor.
  * doxygen-latex: Depend on latex-xcolor.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 14:48:01 +0800

doxygen (1.7.6.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add depends on ghostscript and texlive-fonts-recommended to doxygen-latex.
    Closes: #654587, #637661.

 -- Bas Wijnen <wijnen@debian.org>  Sat, 07 Jan 2012 12:58:25 +0100

doxygen (1.7.6.1-2) unstable; urgency=low

  * Don't apply doxygen_direct_dot_run.diff.  Closes: #618125.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Dec 2011 15:31:10 +0100

doxygen (1.7.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Dec 2011 23:26:59 +0100

doxygen (1.7.6-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Dec 2011 23:33:44 +0100

doxygen (1.7.5.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2011 16:49:34 +0200

doxygen (1.7.4-4) unstable; urgency=low

  * doxygen-latex: Depend on texlive-font-utils. Closes: #636315.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Aug 2011 16:43:34 +0200

doxygen (1.7.4-3) unstable; urgency=low

  * doxygen: Drop the dependency on doxygen-latex. Closes: #616351, #619902.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 12:10:11 +0200

doxygen (1.7.4-2) unstable; urgency=low

  * Re-enable the doxygen_direct_dot_run.diff patch, still issues on
    armel. Closes: #627494.
  * Only include jquery.js in generated output when needed (Chris Butler).
    Closes: #622147.
  * Include jquery.js source in debian/; add jquery.js license.
    Closes: #625956.

 -- Matthias Klose <doko@debian.org>  Mon, 23 May 2011 20:07:07 +0200

doxygen (1.7.4-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Mar 2011 01:32:10 +0200

doxygen (1.7.3-6) unstable; urgency=low

  * Update doxygen_direct_dot_run.diff (Mattias Ellert). Closes: #618433.
  * Disable the doxygen_direct_dot_run.diff patch, race conditions should
    be fixed in 1.7.x releases.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Mar 2011 14:50:57 +0100

doxygen (1.7.3-5) unstable; urgency=low

  * Let doxygen depend on doxygen-latex for some time, until packages
    explicitly build-depend on doxygen-latex.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Mar 2011 16:12:07 +0100

doxygen (1.7.3-4) experimental; urgency=low

  * Build a dependency package adding dependencies for all LaTeX packages
    required to build documents using the default stylesheet.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Jan 2011 02:51:40 +0100

doxygen (1.7.3-3) experimental; urgency=low

  * Recommend latex-xcolor and texlive-latex-base, unconditionally
    used for documentation generated in LaTeX.
  * Build with -g. Closes: #605586.
  * COMPACT_LATEX is fixed in 1.7.3. Closes: #606276.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Jan 2011 10:40:27 +0100

doxygen (1.7.3-2) experimental; urgency=low

  * Fix build failure with qmake-qt3. Closes: #602814.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Jan 2011 16:02:36 +0100

doxygen (1.7.3-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Jan 2011 23:59:47 +0100

doxygen (1.7.2-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Nov 2010 06:08:08 +0100

doxygen (1.7.1-2) unstable; urgency=low

  * Don't use threads for the `dot' runs (Petr Salinger).
    Closes: #591648, #593317.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Aug 2010 04:13:43 +0200

doxygen (1.7.1-1) unstable; urgency=low

  * New upstream version. Closes: #588702.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 14:54:16 +0200

doxygen (1.6.3-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2010 23:25:03 +0000

doxygen (1.6.2+20100208-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to a svn snapshot to fix release critical bugs.
    Closes: #564243, #564338, #564703.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Feb 2010 10:11:43 +0100

doxygen (1.6.2-1) unstable; urgency=low

  * New upstream version.
  * Build-depend-indep on texlive-font-utils. Closes: #562335.
  * Build again doxywizrd. Closes: #556263.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Dec 2009 18:18:06 +0100

doxygen (1.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 14:44:53 +0200

doxygen (1.6.0-1) unstable; urgency=low

  * New upstream version.
  * Upstream did remove the support for png images, remove the corresponding
    debian system-libpng patch.
  * Don't build doxywizard-gui, currently fails to build.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Aug 2009 22:39:59 +0200

doxygen (1.5.9-1) unstable; urgency=low

  * New upstream version.
  * Let doxygen recommend texlive-extra-utils for epstopdf. Closes: #488833.
  * Don't apply the gd-renderer patch. Closes: #477364.
  * Accept additional values known by `dot -T' for DOT_IMAGE_FORMAT.
  * Set the default for DOT_MULTI_TARGET to true.

 -- Matthias Klose <doko@debian.org>  Sat, 02 May 2009 15:34:44 +0200

doxygen (1.5.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix Segmentation Fault.
  * Applied patch from Gentoo to fix a Segmentation Fault as
    debian/patches/path-prefix.dpatch.  Thanks to Martin von Gagern for
    the patch and Leandro Lucarella for the pointer.  Closes: #518031

 -- Margarita Manterola <marga@debian.org>  Tue, 28 Apr 2009 13:01:30 +0000

doxygen (1.5.8-1) unstable; urgency=low

  * New upstream version.
  * Build-depend on libqt4-dev.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Mar 2009 18:03:23 +0100

doxygen (1.5.7.1-0ubuntu2) jaunty; urgency=low

  * Build-depend on texlive-latex-recommended.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2008 07:23:32 +0100

doxygen (1.5.7.1-0ubuntu1) jaunty; urgency=low

  * New upstream version.
  * Adjust build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Nov 2008 06:13:35 +0100

doxygen (1.5.6-2) unstable; urgency=low

  * Reenable the gd-renderer patch.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Jun 2008 22:18:27 +0200

doxygen (1.5.6-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 May 2008 23:01:34 +0200

doxygen (1.5.5-2) unstable; urgency=low

  * Merge from Ubuntu:
    - Fix crash with empty column cells. LP: #129040.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Feb 2008 06:15:20 +0100

doxygen (1.5.5-1) unstable; urgency=low

  * New upstream version.
    - Allow documentation of template parameters. Closes: #227864.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Feb 2008 01:17:48 +0100

doxygen (1.5.4-1) unstable; urgency=low

  * New upstream version.
  * Update conflict with older graphviz package (closes: #450938).

 -- Matthias Klose <doko@debian.org>  Sat, 01 Dec 2007 14:32:30 +0100

doxygen (1.5.3-20071020-1) unstable; urgency=low

  * New upstream version from CVS.
  * Avoid large images by using the gd renderer (Cyril Brulebois). Closes: #444147.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Oct 2007 12:22:14 +0200

doxygen (1.5.3-1) unstable; urgency=low

  * New upstream version. Fixes:
    - Doxygen gets confused by template typedefs that contain parenthesis.
      Closes: #267406.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Jul 2007 17:49:56 +0200

doxygen (1.5.2-20070723-1) unstable; urgency=low

  * New upstream version from CVS.
    - Fix segfault for unknown or obsoleted tags in the config file.
      Closes: #428972.
    - debian/patches/latexgen.dpatch: Remove, applied upstream.
    - debian/patches/install-docs.dpatch: Remove, obsolete.
  * Adjust build dependencies for the Hurd. Closes: #434432.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jul 2007 23:43:45 +0200

doxygen (1.5.2-4) unstable; urgency=low

  * Build-depend on texlive-fonts-recommended. Closes: #425886.

 -- Matthias Klose <doko@debian.org>  Thu, 24 May 2007 23:41:07 +0200

doxygen (1.5.2-3) unstable; urgency=low

  * Build-depend on texlive-generic-recommended as well.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2007 09:24:39 +0200

doxygen (1.5.2-2) unstable; urgency=low

  * Build-depend on texlive-latex-recommended, instead of texlive-latex-base.
    Closes: #425087.

 -- Matthias Klose <doko@debian.org>  Sat, 19 May 2007 07:38:02 +0200

doxygen (1.5.2-1) unstable; urgency=low

  * New upstream version. Closes: #418025.
  * Add build dependency on texlive-extra-utils. Closes: #420331.

 -- Matthias Klose <doko@debian.org>  Wed, 16 May 2007 20:40:05 +0200

doxygen (1.5.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Oct 2006 23:35:01 +0100

doxygen (1.4.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2006 22:54:26 +0000

doxygen (1.4.6-2.3) unstable; urgency=high

  * Non-maintainer upload. (Yes, the third in a row. I hope to get it right
    this time.)
  * Do the buffer overflow fixes in a file in debian/patches/ instead of
    directly in the Debian diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  4 Jun 2006 01:33:12 +0200

doxygen (1.4.6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(shell pwd) instead of $(PWD) in debian/rules, which fixes FTBFS on
    builds that use (newer versions of) sudo.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  4 Jun 2006 01:19:23 +0200

doxygen (1.4.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix buffer overflows in QCString::sprintf() and SCString::sprintf().
    (Closes: #357722)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  3 Jun 2006 13:28:13 +0200

doxygen (1.4.6-2) unstable; urgency=low

  * Fix build error with g++-4.1 (closes: #358208).
  * Adjust package description (closes: #347194).

 -- Matthias Klose <doko@debian.org>  Sat, 25 Mar 2006 23:06:34 +0000

doxygen (1.4.6-1) unstable; urgency=low

  * New upstream version.
  * Fix generation of (La)TeX files (closes: #344468).

 -- Matthias Klose <doko@debian.org>  Fri, 30 Dec 2005 17:23:10 +0100

doxygen (1.4.5-1.1) unstable; urgency=low

  * Remove unused code (QChar::row, QChar::col) that does not build with
    gcc 4.0 (closes: #338099).

 -- Jeremy Nimmer <jwnimmer@alum.mit.edu>  Sun,  4 Dec 2005 15:18:45 -0500

doxygen (1.4.5-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2005 15:03:14 +0200

doxygen (1.4.4-1) unstable; urgency=low

  * New upstream version.
    - Fix malformed XML output (closes: #315205).
  * Fix build dependency for the hurd (closes: #312823).
  * Tighten build dependency on libqt3-mt-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Aug 2005 13:17:51 +0200

doxygen (1.4.4-0ubuntu1) breezy; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Jul 2005 14:13:03 +0200

doxygen (1.4.3-20050530-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not Build-Depend on libqt3-mt-dev on the Hurd (closes #312823).

 -- Michael Banck <mbanck@debian.org>  Wed, 29 Jun 2005 18:51:39 +0200

doxygen (1.4.3-20050530-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue,  7 Jun 2005 15:10:09 +0200

doxygen (1.4.2-4) unstable; urgency=medium

  * src/translator_ca.h: Revert accidental conversion to unicode.
    Patch by Maximiliano Pin (closes: #309913).

 -- Matthias Klose <doko@debian.org>  Sun, 22 May 2005 17:40:31 +0200

doxygen (1.4.2-3) unstable; urgency=high

  * Warn, if empty prototype is found, instead of segfaulting.
    Closes: #307447.
  * src/docparser.cpp: Fix another segfault (backport from CVS).

 -- Matthias Klose <doko@debian.org>  Fri,  6 May 2005 22:50:22 +0200

doxygen (1.4.2-2) unstable; urgency=medium

  * Do not build doxygen-gui on the Hurd (closes: #301954).
  * Enhance doxygen manpage (closes: #285132).

 -- Matthias Klose <doko@debian.org>  Mon,  2 May 2005 15:40:32 +0200

doxygen (1.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix a null dereference segfault in the lexer when comments contain a
    syntax error.  Closes: #304659

 -- Steve Langasek <vorlon@debian.org>  Sun,  1 May 2005 04:51:40 -0700

doxygen (1.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Mar 2005 15:27:15 +0200

doxygen (1.4.1-1) unstable; urgency=low

  * New upstream version.
  * Add menu entry for doxywizard (closes: #289726).

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 21:29:46 +0100

doxygen (1.4.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Dec 2004 19:22:25 +0100

doxygen (1.3.9.1-1) unstable; urgency=medium

  * New upstream version.
    - Fixed problem matching array parameters that include template parameters
      as the array size (closes: #275299).
    - Fixed parsing problem in the preprocessor when an expression contained
      the division operator (closes: #274698).

 -- Matthias Klose <doko@debian.org>  Sun, 10 Oct 2004 22:53:56 +0200

doxygen (1.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed,  6 Oct 2004 01:02:35 +0200

doxygen (1.3.8-20040928-1) unstable; urgency=low

  * New upstream version (CVS tarball).
    - Fix segfault while building gconfmm2.0 docs (closes: #274318).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Oct 2004 23:22:23 +0200

doxygen (1.3.8-20040913-1) unstable; urgency=low

  * New upstream version (CVS tarball).
  * Bugs fixed upstream in this or earlier releases:
    - Fix FTBFS on GNU/k*BSD (closes: #263542).
    - Problems with macrocreated functions (closes: #187625).
    - Use \renewcommand{\footrulewidth}{...} instead of
      \setlength{\footrulewidth}{...}. Closes: #194211.
    - Do not capitalize identifiers at the start of a sentence.
      Closes: #238275.
    - Interpretation of c++ 'using' keyword (closes: #244213).
    - Mishandling of c++ 'friend' declarations (closes: #244221).
    - Fix warning related to * vs. [] (closes: #147357).
  * Add conflict with older graphviz package (closes: #266309).
  * Don't use libpng provided by package (closes: #269231).
  * Add doxywizard(1) manpage (closes: #234022).

 -- Matthias Klose <doko@debian.org>  Tue, 21 Sep 2004 07:43:28 +0200

doxygen (1.3.8-1) unstable; urgency=low

  * New maintainer.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Jul 2004 21:01:26 +0200

doxygen (1.3.8-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2004 00:04:44 +0200

doxygen (1.3.7-0.2) unstable; urgency=low

  * NMU.
  * Apply Goswin's patch, build depend on python (closes: #241690).

 -- Matthias Klose <doko@debian.org>  Sun, 16 May 2004 22:38:53 +0200

doxygen (1.3.7-0.1.0.1.pure64) unstable; urgency=low

  * Temporarily copy src and VERSION into build tree for translate.py

 -- Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>  Sat, 15 May 2004 17:35:20 +0200

doxygen (1.3.7-0.1) unstable; urgency=low

  * NMU
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat,  8 May 2004 08:15:20 +0200

doxygen (1.3.6.20040222-0.1) unstable; urgency=medium

  * NMU
  * New upstream version (CVS tarball). Closes: #234348.
  * Fixing termination problems in 1.3.5 and 1.3.6 (closes: #232598).

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 22:07:36 +0100

doxygen (1.3.5-0.1) unstable; urgency=low

  * NMU
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Jan 2004 08:25:50 +0100

doxygen (1.3.4-0.1) unstable; urgency=low

  * NMU
  * New upstream release. (Closes: #203198)
  * Verified that this version no longer segfaults on the yehia docs.
    (Closes: #198984)
  * [debian/doxytag.1] Added a NAME section so it can be parsed for whatis.
    (Closes: #210620)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Oct 2003 17:24:21 +0200

doxygen (1.3.2-1.1) unstable; urgency=low

  * NMU
  * [debian/control] Dropped build dependency on obsolete
    libqt3-plugins-headers and versioned the libqt3-mt-dev build dependency so
    as to be sure it pulls in a libqt3-headers which replaces
    libqt3-plugins-headers. Fixes FTBFS. (Closes: #213858)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Oct 2003 16:41:02 +0200

doxygen (1.3.2-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 15 Jun 2003 12:35:33 -0700

doxygen (1.3.1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#188852, Bug#196050)
  * debian/control: doxygen-doc relationship should be "suggests"
    (Closes: Bug#196437)
  * debian/control: Build-Dep on flex-old

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 12 Jun 2003 20:29:49 -0700

doxygen (1.3-rc3-1) unstable; urgency=low

  * New upstream release
  * built with g++-3.2
  * debian/control: build depend on libqt3-mt-dev (Closes: Bug#180599)

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 12 Feb 2003 08:14:35 -0800

doxygen (1.3-rc2-1) unstable; urgency=low

  * New upstream release (Closes: Bug#173643)
  * debian/control: build depend on xlibs-dev (Closes: Bug#170119)
  * debian/control: build depend on libqt3-dev
  * debian/doxygen.1 debian/doxytag.1: improved manpages (Closes: Bug#170716)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 24 Dec 2002 02:57:59 -0800

doxygen (1.3-rc1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#169676)
    - contains fix for unconditional ouptut of tags even
      when in conditional blocks (Closes: Bug#167515)
    - contains fix for RTF image path bug (Closes: Bug#167722)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 19 Nov 2002 08:32:04 -0800

doxygen (1.2.18-2) unstable; urgency=low

  * fixed signed/unsigned compiler warning (Closes: Bug#161990)

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 14 Oct 2002 14:45:20 -0700

doxygen (1.2.18-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 21 Sep 2002 11:14:28 -0700

doxygen (1.2.16-3) unstable; urgency=low

  * doxygen-doc provides doxygen-docs (Closes: Bug#149804)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 16 Jun 2002 14:37:02 -0700

doxygen (1.2.16-2) unstable; urgency=low

  * doxygen-doc conflicts/replaces doxygen-docs (Closes: Bug#149154)

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri,  7 Jun 2002 22:28:08 -0700

doxygen (1.2.16-1) unstable; urgency=low

  * New upstream release
  * debian/control: renamed binary package doxygen-docs to doxygen-doc
    to better conform with standard practice (Closes: #147629)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 18:38:58 -0700

doxygen (1.2.15-2) unstable; urgency=low

  * debian/watch: added uscan version 2 compliant watch file

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 13 Apr 2002 15:30:43 -0700

doxygen (1.2.15-1) unstable; urgency=low

  * New upstream release

 -- luca filipozzi <lfilipoz@debian.org>  Mon,  1 Apr 2002 10:53:09 -0800

doxygen (1.2.14-3) unstable; urgency=low

  * debian/control: added Conflicts against earlier version (Closes: #135670)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 26 Feb 2002 21:14:28 -0800

doxygen (1.2.14-2) unstable; urgency=low

  * Fixed Section for doxygen-docs: from devel to docs

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 24 Feb 2002 12:33:53 -0800

doxygen (1.2.14-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 24 Feb 2002 11:09:42 -0800

doxygen (1.2.13.1-1) unstable; urgency=low

  * New upstream release
  * new package (doxygen-gui) for libqt-dependent binaries (Closes: Bug#130369)
  * new package (doxygen-docs) for documentation (Closes: Bug#131229)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 17 Feb 2002 12:45:24 -0800

doxygen (1.2.12-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 19 Dec 2001 12:26:37 -0800

doxygen (1.2.11.1-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 23 Oct 2001 14:42:07 -0700

doxygen (1.2.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #101374)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  5 Aug 2001 09:36:34 -0700

doxygen (1.2.8.1-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Thu, 14 Jun 2001 01:15:46 -0700

doxygen (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon,  4 Jun 2001 11:24:28 -0700

doxygen (1.2.7-1) unstable; urgency=low

  * New upstream release (Closes: #96924)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  3 Jun 2001 20:34:43 -0700

doxygen (1.2.6-3) unstable; urgency=low

  * added doc-base registration; thanks to Steve M. Robbins (Closes: #92605)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue,  3 Apr 2001 09:09:11 -0700

doxygen (1.2.6-2) unstable; urgency=low

  * enable xml support
  * fixed a typo that put docs into /usr/share/doc/doxygeen (Closes: #90374)

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 19 Mar 2001 18:34:07 -0800

doxygen (1.2.6-1) unstable; urgency=low

  * New upstream release
  * Build-depends on libqt-dev rather than libqt2.2-dev  (Closes: #88576)
  * QTDIR is set to /usr/share/qt from /usr/lib/qt2      (Closes: #88578,#90070)
  * above two changes fix "fails to build from source"   (Closes: #88204)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 11 Mar 2001 13:22:22 -0800

doxygen (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@emyr.net>  Sun,  4 Feb 2001 23:20:37 -0800

doxygen (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@emyr.net>  Mon,  8 Jan 2001 20:10:52 -0800

doxygen (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@emyr.net>  Thu,  2 Nov 2000 16:49:52 -0800

doxygen (1.2.2-2) unstable; urgency=low

  *  Changed maintainer field to Luca Filipozzi <lfilipoz@debian.org>

 -- Luca Filipozzi <lfilipoz@emyr.net>  Fri,  6 Oct 2000 10:19:05 -0700

doxygen (1.2.2-1) unstable; urgency=low

  * New upstream release... bug fixes and some additional features
    (see http://www.stack.nl/~dimitri/doxygen/changelog.html for info)

 -- Luca Filipozzi <lfilipoz@emyr.net>  Sun, 24 Sep 2000 21:29:16 +0000

doxygen (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Compiled against libqt2.2 (closes: #71813)
  * debian/control: removed the libqt2 dependency since it is added
    automatically by ${shlibs:Depends}
  * debian/control: added Build-Depends and upgraded Standards-Version
  * debian/control: added Suggests for graphviz for the graph functions
    (note: graphviz is non-free, so it is listed as a suggestion only)
  * debian/rules: added --with-doxywizard and --with-configgen so that
    the doxy wizard and the config generator are included in the package
  * debian/rules: added --dot dot to specify the name of the "dot" tool
    so that it will be found if installed at runtime rather than needing
    it to be installed at build time (the configure script attempts to
    find "dot" but the build does not actually need it)
  * Note that the upstream package no longer contains the LaTeX source
    for the docs. Instead, PDF and PS versions of the docs are provided.

  + many thanks to Torsten Landschoff for his help... all the above changes
    were suggested by him

 -- Luca Filipozzi <lfilipoz@emyr.net>  Thu, 21 Sep 2000 12:28:16 -0700

doxygen (1.0.0-2) unstable; urgency=low

  * Compiled against libqt2.

 -- Luca Filipozzi <lfilipoz@emyr.net>  Wed, 19 Jul 2000 18:02:38 -0700

doxygen (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Luca Filipozzi <lfilipoz@emyr.net>  Wed, 19 Jul 2000 18:01:52 -0700

Local variables:
mode: debian-changelog
End:
